Gallery Platform API
Reference

List Terminal locations

Lists the Stripe Terminal locations registered for the gallery, oldest first.

GET
/gallery/terminal/locations

Lists the Stripe Terminal locations registered for the gallery, oldest first.

Authorization

bearerAuth payments:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: payments:read

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "stripe_location_id": "string",      "display_name": "string",      "livemode": true,      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}